Subject: [bug#53878] [PATCH v2 08/15] gnu: chez-scheme: Explicitly package bootstrap bootfiles.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 19 Feb 2022 15:46:31 +0100

Am Freitag, dem 18.02.2022 um 18:20 -0500 schrieb Philip McGrath:
> > Now to explain the difference between my suggestion and what you
> > implemented.  Mine would be to
> > (define-public (chez-scheme-bootstrap-bootfiles chez-scheme)
> >   ...)
> > where ... is the code you already have.  This would not only work
> > for other chez-schemes than the one we have packaged, but might
> > also make it possible to cross module boundaries, i.e. keep chez-
> > scheme in chez.scm.  WDYT?
> 
> I still don't think I understand. How would this avoid having to
> override almost everything for both the upstream and Racket variants
> of the package, as 
> was the case in my attempt in <https://issues.guix.gnu.org/53878#44>
> (also at 
> <
> https://gitlab.com/philip1/guix-patches/-/blob/guix-issue-53878-v2-bootfiles-proc/gnu/packages/chez-and-racket-bootstrap.scm#L723
> >)? I mean, you could put 
> the upstream stuff under the `lambda` for now, but eventually it will
> also need a build phase and some inputs. I just don't see what the
> benefit all that would achieve, or what the problem is (if there is
> one) with this patch.
The concern is not w.r.t variants, but version bumps, assuming that
bootstrap mostly stays the same from e.g. Racket 8.4 → 8.5 (I don't
have the Chez version in the back of my head atm, but you get the gist)

Will be looking at v3.